Page MenuHomePhabricator

Knowledge Report
Closed, InvalidPublic

Description

The idea is to build a tool which generates a reliable knowledge report of any Wikipedia author by analyzing their edits/writings, if/how long that inputs stayed online, the viewing statistics of those pages and possibly other factors. It could be in the direction of rankings like done at stackoverflow (This author is 1st in Theory of Relativity, 15th in Java Script Programming, ...).

I'm an experienced PHP programmer and have the needed Math and Computer Science background (e.g. Ph.D. in Computer Science). However, I'm a newbie to MediaWiki programming and just now the basics about Wikipedia. So, perhaps such tools exist already but are not visible to the normal Wikipedia reader?

Event Timeline

Fanim created this task.May 18 2015, 12:00 PM
Fanim raised the priority of this task from to Needs Triage.
Fanim updated the task description. (Show Details)
Fanim moved this task to Backlog on the Wikimedia-Hackathon-2015 board.
Fanim added a subscriber: Fanim.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 18 2015, 12:00 PM
Qgil added a subscriber: Qgil.May 27 2015, 10:23 PM

Did someone work on this project during Wikimedia-Hackathon-2015? If so, please update the task with the results. If not, please remove the label.

Qgil set Security to None.
Halfak added a subscriber: Halfak.Jun 4 2015, 7:41 PM

This is related to https://meta.wikimedia.org/wiki/Research:Measuring_value-added and https://phabricator.wikimedia.org/T99171

@Fanim and I worked together to develop the measurement strategy. I'll be looping back on this with reference to some datasets for @Fanim to work on in the next couple of weeks.

Halfak closed this task as Invalid.Jun 4 2015, 7:49 PM

I closed invalid in favor of the other task.